# LayoutRisksTop (ARX GUI Documentation)

org.deidentifier.arx.gui.view.impl.risk

## Class LayoutRisksTop

- java.lang.Object
- - org.deidentifier.arx.gui.view.impl.risk.LayoutRisksAbstract
  - - org.deidentifier.arx.gui.view.impl.risk.LayoutRisksTop

- All Implemented Interfaces:
    ILayout, IView

      public class LayoutRisksTop
      extends LayoutRisksAbstract

  Layouts the risk analysis perspective.

- - ### Field Summary

    - ### Fields inherited from class org.deidentifier.arx.gui.view.impl.risk.LayoutRisksAbstract

      `model`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LayoutRisksTop(org.eclipse.swt.widgets.Composite parent, Controller controller, ModelEvent.ModelPart target, ModelEvent.ModelPart reset)` Creates a new instance.

  - ### Method Summary

    - ### Methods inherited from class org.deidentifier.arx.gui.view.impl.risk.LayoutRisksAbstract

      `addSelectionListener, createTab, dispose, getSelectedViewType, getSelectionIndex, getViewForSelectionIndex, registerView, reset, setSelectionIdex, update`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LayoutRisksTop

          public LayoutRisksTop(org.eclipse.swt.widgets.Composite parent,
                        Controller controller,
                        ModelEvent.ModelPart target,
                        ModelEvent.ModelPart reset)

      Creates a new instance.
      Parameters:
        `parent` -
        `controller` -
        `target` -
        `reset` -